description

# StringConversionSinkBase class Null safety

This class provides a base-class for converters that need to accept String inputs.

Inheritance
  - Object
  - StringConversionSinkMixin
  - StringConversionSinkBase

## Constructors

StringConversionSinkBase()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

add(String str) → void
  Adds chunked data to this sink. [...]
  inherited
addSlice(String str, int start, int end, bool isLast) → void
  Adds the next `chunk` to `this`. [...]
  inherited
asStringSink() → ClosableStringSink
  Returns `this` as a ClosableStringSink. [...]
  inherited
asUtf8Sink(bool allowMalformed) → ByteConversionSink
  Returns `this` as a sink that accepts UTF-8 input. [...]
  inherited
close() → void
  Closes the sink. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited